---
search:
  tags:
    - Customer Groups
    - GET
seo:
  description: >-
    List all customer groups within an app. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/customer-groups endpoint in the Management
    API.
sidebar:
  label: List all customer groups with pagination
  badge: GET
title: List all customer groups with pagination
type: openapi-operation
---
List all customer groups within an app

`GET /api/v1/{team_slug}/{app_slug}/customer-groups`

**Responses**

- `200` — List of app customer groups
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "app_id": "string",
      "created_at": "string",
      "discount_percentage": 0,
      "discount_percentage_decimals": 0,
      "id": "string",
      "name": "string",
      "slug": "string",
      "store_group_id": "string",
      "type": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
